CapyDB Docs
ReferenceAPI

Clusters

Available database regions/clusters.

GET
/v1/clusters

Authorization

AuthorizationBearer <token>

Org or project-scoped API key, format capy_live_...; Clerk session tokens also accepted.

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/clusters"
{  "clusters": [    {      "backup_storage_mode": "string",      "created_at": "2019-08-24T14:15:22Z",      "direct_port": 0,      "health_alert_state": "ok",      "id": "string",      "last_replication_error": "string",      "last_replication_in_recovery": true,      "last_replication_lag_seconds": 0,      "last_replication_sampled_at": "2019-08-24T14:15:22Z",      "management_host": "string",      "management_mode": "string",      "management_port": 0,      "management_user": "string",      "max_databases": 0,      "name": "string",      "pooled_port": 0,      "postgres_version": "string",      "extensions": [        "string"      ],      "provider": "string",      "public_host": "string",      "region": "string",      "state": "string",      "supports_point_in_time_recovery": true    }  ]}
{  "error": "string"}
{  "error": "string"}